Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class WarpEngine

    java.lang.Object
      |
      +--org.apache.catalina.core.ContainerBase
            |
            +--org.apache.catalina.core.StandardEngine
                  |
                  +--org.apache.catalina.connector.warp.WarpEngine

public class WarpEngine
extends StandardEngine

Fields inherited from class org.apache.catalina.core.ContainerBase
`children, cluster, debug, lifecycle, listeners, loader, logger, manager, mapper, mapperClass, mappers, name, parent, parentClassLoader, pipeline, realm, resources, sm, started, support`

Constructor Summary
`WarpEngine()`

Method Summary
`Container` | `map(Request request, boolean update)` Return the child Container that should be used to process this Request, based upon its characteristics.

Methods inherited from class org.apache.catalina.core.StandardEngine
`addChild, addDefaultContext, addDefaultMapper, getDefaultHost, getInfo, getJvmRoute, getMapperClass, getService, importDefaultContext, setDefaultHost, setJvmRoute, setMapperClass, setParent, setService, start, toString`

Methods inherited from class org.apache.catalina.core.ContainerBase
`addContainerListener, addLifecycleListener, addMapper, addPropertyChangeListener, addValve, findChild, findChildren, findMapper, findMappers, fireContainerEvent, getBasic, getCluster, getDebug, getLoader, getLogger, getManager, getName, getParent, getParentClassLoader, getPipeline, getRealm, getResources, getValves, invoke, log, log, logName, removeChild, removeContainerListener, removeLifecycleListener, removeMapper, removePropertyChangeListener, removeValve, setBasic, setCluster, setDebug, setLoader, setLogger, setManager, setName, setParentClassLoader, setRealm, setResources, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WarpEngine

    public WarpEngine()

Method Detail

### map

    public Container map(Request request,
                         boolean update)

  Description copied from interface: Container
  Return the child Container that should be used to process this Request, based upon its characteristics. If no such child Container can be identified, return `null` instead.
  Overrides:
    map in class ContainerBase
  Tags copied from interface: Container
  Parameters:
    `request` - Request being processed
    `update` - Update the Request to reflect the mapping selection?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.